package jp.topse.kaizu.sequence2csp.convert;

import org.eclipse.uml2.uml.Lifeline;
import org.eclipse.uml2.uml.Message;
import org.eclipse.uml2.uml.StateInvariant;

public class CSPNames {
	public static String get(Lifeline lifeline) {
		try{
			return lifeline.getRepresents().getType().getName();
		}catch(NullPointerException ex){
			return lifeline.getName();
		}
	}

	public static String get(Message message) {
		return message.getName();
	}

	public static String get(StateInvariant si) {
		// Lifeline lifeline = (Lifeline)(si.getCovereds().get(0));
		// return get(lifeline) + "_" + si.getName();
		return si.getName();
	}
}
